View Issue Details

IDProjectCategoryView StatusLast Update
0001604SymmetricDSImprovementpublic2014-03-02 09:49
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.17 
Target Version3.5.18Fixed in Version3.5.18 
Summary0001604: Create a set of two transforms that can map a series of columns to a series of rows based on a Map
DescriptionWe wish to map a set of source columns to a series of rows in a destination table. The mapping is such that the destination has, as part of its primary key, a column that identifies the "type" or "key" for the data, and another column for the value. This will be a pair of transforms. The multiple part must run first to produce the multiple transform-data rows, and then the value part must run to map the source col into the destination 'value' column.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 5042aff3

2014-02-25 12:13:40

eegeek

Details Diff
0001604: Create a set of two transforms that can map a series of columns to a series of rows based on a Map
0001604
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsKeyColumnTransform.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsValueColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/IColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master 92ba7048

2014-02-25 13:33:26

eegeek

Details Diff
0001604: Create a set of two transforms that can map a series of columns to a series of rows based on a Map
0001604
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsKeyColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsValueColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2014-02-25 10:39 mhanes New Issue
2014-02-25 10:39 mhanes Status new => assigned
2014-02-25 10:39 mhanes Assigned To => mhanes
2014-02-25 11:00 Changeset attached => SymmetricDS 3.5 r7987
2014-02-25 12:00 Changeset attached => SymmetricDS 3.5 r7990
2014-02-25 12:00 Changeset attached => SymmetricDS 3.5 r7991
2014-02-25 13:00 Changeset attached => SymmetricDS trunk r7993
2014-02-25 14:00 Changeset attached => SymmetricDS 3.5 r7995
2014-02-25 14:00 Changeset attached => SymmetricDS trunk r7996
2014-03-02 09:48 chenson Status assigned => resolved
2014-03-02 09:48 chenson Fixed in Version => 3.5.18
2014-03-02 09:48 chenson Resolution open => fixed
2014-03-02 09:49 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 92ba7048
2015-07-30 21:49 Changeset attached => SymmetricDS master 5042aff3